Sprint S4 (720) 4.4.2 Kit Kat Update Direct LinkTips

Last Updated:

  1. Darnell0216

    Darnell0216 Well-Known Member

    - You must already be on MK2 to install this update.
    - You must have the original S4 (SPH-L720), not the upgraded LTE Spark (SPH-L720T) model.
    - As always, your phone must be stock. No custom recoveries, root, etc). Stock recovery is required to install the update.
    - Edit: CF still works when rooting 4.4.2. If you use the HotSpot Mod, you'll still have to wait.


  2. androidnoob19

    androidnoob19 New Member

    If I have root this won't work, and if it doesn't I'll unroot, but then how do I install it, using a computer? What utility do I use to install? Sorry for bugging you, I just am me at this so...

Share This Page